/*
 * Copyright 2009 Toni Menzel.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
 * implied.
 *
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.ops4j.pax.swissbox.tinybundles.core;

import java.net.URL;
import java.util.Map;
import java.io.InputStream;

/**
 * From TinyBundles you get an instance of this.
 * At this state, all resources has been definined (added), now you can either build()
 * directly or set addition meta data and configuration.
 * 
 * @author Toni Menzel (tonit)
 * @since Apr 20, 2009
 */
public interface BuildableBundle
{

    BuildableBundle set( String key, String value );

    InputStream build( );

    BuildableBundle setResources( Map<String, URL> resources );
}
